On Wednesday 03 September 2003 11:01, Ruby Ruby wrote:
> I am trying to run a simple FXRuby sample program from
> a tutorial by Lyle Johnson. I am getting the following
> error:
>
> fxr.rb:12: [BUG] Segmentation fault
> ruby 1.8.0 [2003-05-26] [i386-mswin32]
>
> abnormal program termination
8-<
That code works fine for me, my versions:
Ruby: 1.8.0 (2003-08-10) [i386-linux]
Fox-Toolkit: 1.0.42
FXRuby: 1.0.25

Fox and FXRuby were compiled by myself. As I see from your ruby version 
compilation date, you should update it to a more recent release, like 1.8.0
-- 
sdmitry -=- Dmitry V. Sabanin
MuraveyLabs.